{% extends 'base.html.twig' %}

{% block title %}
    {{title}}
{% endblock %}

{% block main %}
    <fieldset>
        {{ form_start(formSite) }}
        <div class="form-row ">
            <div class="col-md-4 ml-auto">
                {{ form_row(formSite.recherche) }}
            </div>
            <div class="col-md-4 mr-auto">
                {{ form_row(formSite.site) }}
            </div>
        </div>
        <div class="form-row">
            <div class="col-md-4 ml-auto">
                {{ form_row(formSite.dateMax) }}
            </div>
            <div class="col-md-4 mr-auto">
                {{ form_row(formSite.dateMin) }}
            </div>
        </div>
        <div class="form-row">
            <div class="col-md-8 ml-auto mr-auto ">
                <div class="custom-control custom-switch d-inline-flex">
                    {{ form_row(formSite.orga) }}
                </div>
                <div class="custom-control custom-switch d-inline-flex">
                    {{ form_row(formSite.inscrit) }}
                </div>
                <div class="custom-control custom-switch d-inline-flex">
                    {{ form_row(formSite.pasInscrit) }}
                </div>
                <div class="custom-control custom-switch d-inline-flex">
                    {{ form_row(formSite.passee) }}
                </div>
            </div>
        </div>
        <div class="form-row">
            <button type="submit" class="btn btn-success col-md-6 ml-auto mr-auto mt-3 mb-3">Filtrer</button>
        </div>
        {{ form_end(formSite) }}
    </fieldset>
    {% if events %}
        <div class="row col-md-9 m-auto">
        {% for event in events  %}
                <div class="card text-white bg-dark m-2" style="width: 16rem;">
                    <a href="{{ path("event_detail", {'id' : event.id }) }}" class="btn btn-{{event.etat.libelle == 'Passée' ? 'outline-secondary' : 'success'}}" style="text-decoration: none">
                        <div class="card-header">Details</div>
                    </a>
                    <div class="card-body">
                        <h6 class="card-title">{{ event.nom | upper }}</h6>
                        <p class="card-text">
                            Débute le {{ event.dateHeureDebut | date('d/m/Y H:i') }}
                        </p>
                        <p class="card-text small">
                            Proposé par <a href="{{ path('user_detail', {'pseudo': event.organisateur.pseudo}) }}">{{ event.organisateur.pseudo }}</a>
                        </p>
                    </div>
                </div>
        {% endfor %}
        </div>
    {% endif %}
{% endblock %}
